xref: /freebsd/contrib/ntp/sntp/libopts/ao-strs.c (revision 535af610)
1 /*  -*- buffer-read-only: t -*- vi: set ro:
2  *
3  * DO NOT EDIT THIS FILE   (ao-strs.c)
4  *
5  * It has been AutoGen-ed
6  * From the definitions    ao-strs.def
7  * and the template file   strings
8  *
9  *  Copyright (C) 2011-2018 Bruce Korb, all rights reserved.
10  *  This is free software. It is licensed for use, modification and
11  *  redistribution under the terms of the
12  *  Modified (3 clause) Berkeley Software Distribution License
13  *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
14  *
15  *  Redistribution and use in source and binary forms, with or without
16  *  modification, are permitted provided that the following conditions
17  *  are met:
18  *  1. Redistributions of source code must retain the above copyright
19  *     notice, this list of conditions and the following disclaimer.
20  *  2. Redistributions in binary form must reproduce the above copyright
21  *     notice, this list of conditions and the following disclaimer in the
22  *     documentation and/or other materials provided with the distribution.
23  *  3. Neither the name ``Bruce Korb'' nor the name of any other
24  *     contributor may be used to endorse or promote products derived
25  *     from this software without specific prior written permission.
26  *
27  *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
28  *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
29  *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
30  *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
31  *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
32  *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
33  *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
34  *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
35  *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
36  *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
37  *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
38  */
39 #include "ao-strs.h"
40 
41 char const ao_strs_strtable[6714] =
42 /*     0 */ "-_^\0"
43 /*     4 */ "  %s%s\n\0"
44 /*    12 */ "<?auto-options\0"
45 /*    27 */ "<?program\0"
46 /*    37 */ "%%-%ds %%s\n\0"
47 /*    49 */ "<?program %s>\n\0"
48 /*    64 */ "\n"
49             "%s\n\n\0"
50 /*    70 */ "=file\0"
51 /*    76 */ "=Mbr\0"
52 /*    81 */ "=Cplx\0"
53 /*    87 */ "[=arg]\0"
54 /*    94 */ "--%2$s%1$s\0"
55 /*   105 */ "=Tim\0"
56 /*   110 */ "none\0"
57 /*   115 */ "#  preset/initialization file\n"
58             "#  %s#\n\0"
59 /*   153 */ " %3s %-14s %s\0"
60 /*   167 */ "%s\0"
61 /*   170 */ "T/F\0"
62 /*   174 */ "\n"
63             "%s\n\n"
64             "%s\0"
65 /*   182 */ "Fil\0"
66 /*   186 */ "KWd\0"
67 /*   190 */ "Mbr\0"
68 /*   194 */ "Cpx\0"
69 /*   198 */ "no \0"
70 /*   202 */ "Num\0"
71 /*   206 */ "opt\0"
72 /*   210 */ "YES\0"
73 /*   214 */ "Str\0"
74 /*   218 */ "Tim\0"
75 /*   222 */ "\t\t\t\t- \0"
76 /*   229 */ "\t\t\t\t  \0"
77 /*   236 */ "\t\t\t\t-- and \0"
78 /*   248 */ "\t\t\t\t%s\n\0"
79 /*   256 */ "      \0"
80 /*   263 */ "     \0"
81 /*   269 */ "   \0"
82 /*   273 */ "  \0"
83 /*   276 */ "all\0"
84 /*   280 */ " \t\n"
85             ":=\0"
86 /*   286 */ "%s_%s_%d=\0"
87 /*   296 */ "''\0"
88 /*   299 */ "        ;;\n\n\0"
89 /*   312 */ "'\n\n\0"
90 /*   316 */ "</%s>\n\0"
91 /*   323 */ "  %s\n\0"
92 /*   329 */ "%%-%ds\0"
93 /*   336 */ "\n"
94             "export %s_%s_%d\n\0"
95 /*   354 */ "false\0"
96 /*   360 */ "    -* )\n\0"
97 /*   370 */ "flag\0"
98 /*   375 */ "INVALID-%d\0"
99 /*   386 */ "*INVALID*\0"
100 /*   396 */ "\\n\\\n\0"
101 /*   401 */ "    --* )\n\0"
102 /*   412 */ "--\0"
103 /*   415 */ "LONGUSAGE\0"
104 /*   425 */ "            %s\n\0"
105 /*   441 */ "\\%03o\0"
106 /*   447 */ "more\0"
107 /*   452 */ "<%s type=nested>\n\0"
108 /*   470 */ "%s\n\0"
109 /*   474 */ "%s\n"
110             "  \0"
111 /*   480 */ "OPT_ARG_NEEDED=NO\0"
112 /*   498 */ "<%s/>\n\0"
113 /*   505 */ "OPT_ARG_NEEDED=OK\0"
114 /*   523 */ "\t\0"
115 /*   525 */ "<%s>\0"
116 /*   530 */ "option\0"
117 /*   537 */ "\n"
118             "export %s_%s\n\0"
119 /*   552 */ "%s_%s=\0"
120 /*   559 */ " | \0"
121 /*   563 */ "PAGER\0"
122 /*   569 */ "%1$s %2$s ; rm -f %2$s\0"
123 /*   592 */ " + \0"
124 /*   596 */ "  puts(_(%s));\n\0"
125 /*   612 */ "\\'\0"
126 /*   615 */ "'%s'\0"
127 /*   620 */ " -- %s\0"
128 /*   627 */ "%s_%s_TEXT='\0"
129 /*   640 */ "#! %s\n\0"
130 /*   647 */ "\n"
131             "env | grep '^%s_'\n\0"
132 /*   667 */ "=%1$lu # 0x%1$lX\n\0"
133 /*   685 */ "stdout\0"
134 /*   692 */ "%A %B %e, %Y at %r %Z\0"
135 /*   714 */ "TMPDIR\0"
136 /*   721 */ "%s/use-%u.XXXXXX\0"
137 /*   738 */ "true\0"
138 /*   743 */ "<%s type=%s>\0"
139 /*   756 */ "VERSION\0"
140 /*   764 */ "#x%02X;\0"
141 /*   772 */ "OPT_ARG_NEEDED=YES\0"
142 /*   791 */ "\n"
143             "# %s -- %s\n\0"
144 /*   804 */ "# DEFAULT: \0"
145 /*   816 */ "'\\''\0"
146 /*   821 */ " '%s'\0"
147 /*   827 */ "libopts misguessed length of string\n\0"
148 /*   864 */ "\n"
149             "OPTION_CT=0\n\0"
150 /*   878 */ "set --\0"
151 /*   885 */ "/tmp\0"
152 /*   890 */ "            ;;\n\n\0"
153 /*   907 */ "        '%c' )\n\0"
154 /*   923 */ "        '%s' )\n\0"
155 /*   939 */ "        '%s' | \\\n\0"
156 /*   957 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
157 /*   989 */ "#  From the %s option definitions\n"
158             "#\n\0"
159 /*  1026 */ "echo 'Warning:  Cannot load options files' >&2\0"
160 /*  1073 */ "echo 'Warning:  Cannot save options files' >&2\0"
161 /*  1120 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
162 /*  1186 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
163 /*  1221 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
164 /*  1252 */ "%1$s_%2$s_MODE='%3$s'\n"
165             "export %1$s_%2$s_MODE\n\0"
166 /*  1297 */ "%1$s_%2$s='%3$s'\n"
167             "export %1$s_%2$s\n\0"
168 /*  1332 */ "%1$s_%2$s_CT=%3$d\n"
169             "export %1$s_%2$s_CT\n\0"
170 /*  1371 */ "OPTION_CT=%d\n"
171             "export OPTION_CT\n\0"
172 /*  1402 */ "%1$s_%2$s=%3$s\n"
173             "export %1$s_%2$s\n\0"
174 /*  1435 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
175             "export %1$s_%2$s\n\0"
176 /*  1477 */ "        case \"${OPT_CODE}\" in\n\0"
177 /*  1508 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
178             "                echo 'Error:  more than %3$d %2$s options'\n"
179             "                echo \"$%1$s_USAGE_TEXT\"\n"
180             "                exit 1\n"
181             "            fi >&2\n\0"
182 /*  1699 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
183             "    echo %1$s_%2$s has not been set\n"
184             "    exit 1\n"
185             "} 1>&2\n\0"
186 /*  1791 */ "test -n \"$%1$s_%2$s\" || {\n"
187             "    echo %1$s_%2$s has not been set\n"
188             "    exit 1\n"
189             "} 1>&2\n\0"
190 /*  1872 */ "            echo \"$%s_%s_TEXT\"\n"
191             "            exit 0\n\0"
192 /*  1923 */ "\n"
193             "# # # # # # # # # #\n"
194             "#\n"
195             "#  END OF AUTOMATED OPTION PROCESSING\n"
196             "#\n"
197             "# # # # # # # # # # -- do not modify this marker --\n\0"
198 /*  2039 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
199             "    then\n"
200             "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
201             "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
202             "    fi\n"
203             "done\n"
204             "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
205             "OPERAND_COUNT=$#\n"
206             "unset OPT_PROCESS || :\n"
207             "unset OPT_ELEMENT || :\n"
208             "unset OPT_ARG     || :\n"
209             "unset OPT_ARG_NEEDED || :\n"
210             "unset OPT_NAME    || :\n"
211             "unset OPT_CODE    || :\n"
212             "unset OPT_ARG_VAL || :\n\0"
213 /*  2418 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
214             "        shift\n"
215             "        OPT_ARG=$1\n"
216             "        case \"${OPT_CODE}\" in *=* )\n"
217             "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
218             "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
219 /*  2669 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
220             "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
221 /*  2786 */ "\n"
222             "ARG_COUNT=$#\n"
223             "OPT_PROCESS=true\n"
224             "OPT_ARG=$1\n"
225             "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
226             "do\n"
227             "    OPT_ELEMENT=''\n"
228             "    OPT_ARG_VAL=''\n\n"
229             "    case \"${OPT_ARG}\" in\n"
230             "    -- )\n"
231             "        OPT_PROCESS=false\n"
232             "        shift\n"
233             "        ;;\n\0"
234 /*  2993 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
235             "        NO )\n"
236             "            OPT_ARG_VAL=''\n"
237             "            ;;\n"
238             "        YES )\n"
239             "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
240             "            then\n"
241             "                if [ $# -eq 0 ]\n"
242             "                then\n"
243             "                    echo No argument provided for ${OPT_NAME} option\n"
244             "                    echo \"$%s_USAGE_TEXT\"\n"
245             "                    exit 1\n"
246             "                fi >&2\n"
247             "                OPT_ARG_VAL=${OPT_ARG}\n"
248             "                shift\n"
249             "                OPT_ARG=$1\n"
250             "            fi\n"
251             "            ;;\n"
252             "        OK )\n"
253             "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
254             "            then\n"
255             "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
256             "                    OPT_ARG_VAL=${OPT_ARG}\n"
257             "                    shift\n"
258             "                    OPT_ARG=$1 ;; esac\n"
259             "            fi\n"
260             "            ;;\n"
261             "        esac\n\0"
262 /*  3772 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
263             "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
264             "            OPT_NAME='%2$s'\n\0"
265 /*  3896 */ "\n"
266             "if test -z \"${%1$s_%2$s}\"\n"
267             "then\n"
268             "  %1$s_%2$s_CT=0\n"
269             "  export %1$s_%2$s_CT\n"
270             "else\n"
271             "  %1$s_%2$s_CT=1\n"
272             "  %1$s_%2$s_1=${%1$s_%2$s}\n"
273             "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
274             "fi\n\0"
275 /*  4054 */ "    * )\n"
276             "         OPT_PROCESS=false\n"
277             "         ;;\n"
278             "    esac\n\0"
279 /*  4111 */ "            %1$s_%2$s_CT=0\n"
280             "            OPT_ELEMENT=''\n"
281             "            %1$s_%2$s='%3$s'\n"
282             "            export %1$s_%2$s\n"
283             "            OPT_NAME='%2$s'\n\0"
284 /*  4252 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
285             "                echo 'Error:  duplicate %2$s option'\n"
286             "                echo \"$%1$s_USAGE_TEXT\"\n"
287             "                exit 1\n"
288             "            fi >&2\n"
289             "            %1$s_%2$s_set=true\n"
290             "            %1$s_%2$s='%3$s'\n"
291             "            export %1$s_%2$s\n"
292             "            OPT_NAME='%2$s'\n\0"
293 /*  4569 */ "\n"
294             "ARG_COUNT=$#\n"
295             "OPT_ARG=$1\n"
296             "while [ $# -gt 0 ]\n"
297             "do\n"
298             "    OPT_ELEMENT=''\n"
299             "    OPT_ARG_VAL=''\n"
300             "    OPT_ARG=${1}\n\0"
301 /*  4672 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
302             "        NO )\n"
303             "            if [ -n \"${OPT_ARG}\" ]\n"
304             "            then\n"
305             "                OPT_ARG=-${OPT_ARG}\n"
306             "            else\n"
307             "                shift\n"
308             "                OPT_ARG=$1\n"
309             "            fi\n"
310             "            ;;\n"
311             "        YES )\n"
312             "            if [ -n \"${OPT_ARG}\" ]\n"
313             "            then\n"
314             "                OPT_ARG_VAL=${OPT_ARG}\n"
315             "            else\n"
316             "                if [ $# -eq 0 ]\n"
317             "                then\n"
318             "                    echo No argument provided for ${OPT_NAME} option\n"
319             "                    echo \"$%s_USAGE_TEXT\"\n"
320             "                    exit 1\n"
321             "                fi >&2\n"
322             "                shift\n"
323             "                OPT_ARG_VAL=$1\n"
324             "            fi\n"
325             "            shift\n"
326             "            OPT_ARG=$1\n"
327             "            ;;\n"
328             "        OK )\n"
329             "            if [ -n \"${OPT_ARG}\" ]\n"
330             "            then\n"
331             "                OPT_ARG_VAL=${OPT_ARG}\n"
332             "                shift\n"
333             "                OPT_ARG=$1\n"
334             "            else\n"
335             "                shift\n"
336             "                if [ $# -gt 0 ]\n"
337             "                then\n"
338             "                    case \"$1\" in -* ) ;; * )\n"
339             "                        OPT_ARG_VAL=$1\n"
340             "                        shift ;; esac\n"
341             "                    OPT_ARG=$1\n"
342             "                fi\n"
343             "            fi\n"
344             "            ;;\n"
345             "        esac\n\0"
346 /*  5826 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
347             "            exit 0\n\0"
348 /*  5900 */ "%s OF %s\n"
349             "#\n"
350             "#  From here to the next `-- do not modify this marker --',\n"
351             "#  the text has been generated %s\n\0"
352 /*  6006 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
353             "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
354 /*  6096 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
355             "                echo 'Error:  duplicate %2$s option'\n"
356             "                echo \"$%1$s_USAGE_TEXT\"\n"
357             "                exit 1\n"
358             "            fi >&2\n"
359             "            %1$s_%2$s_set=true\n"
360             "            OPT_NAME='%2$s'\n\0"
361 /*  6355 */ "\n"
362             "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
363             "%1$s_%2$s_set=false\n"
364             "export %1$s_%2$s\n\0"
365 /*  6424 */ "\n"
366             "%1$s_%2$s=${%1$s_%2$s}\n"
367             "%1$s_%2$s_set=false\n"
368             "export %1$s_%2$s\n\0"
369 /*  6486 */ "# # # # # # # # # # -- do not modify this marker --\n"
370             "#\n"
371             "#  DO NOT EDIT THIS SECTION\n\0"
372 /*  6569 */ "        * )\n"
373             "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
374             "            echo \"$%s_USAGE_TEXT\" >&2\n"
375             "            exit 1\n"
376             "            ;;\n"
377             "        esac\n";
378 
379 /* end of ao-strs.c */
380